FAQ

General FAQs
Q. What is the minimum version of MacOS I can use Blocs with?  A. Blocs requires MacOS 10.10 (Yosemite) minimum. Q. Does Blocs work with Windows?  A. ...
Wed, 3 Jan, 2018 at 2:54 PM
Dedicated Blocs Knowledge Base
Blocs has a dedicated online knowledge base, you can access it here.
Wed, 3 Jan, 2018 at 2:32 PM
Reporting Bugs
If you have found a problem with Blocs and want to make us aware of it, the best way is to log a bug using the in-app bug report system. Reporting Bugs via ...
Wed, 3 Jan, 2018 at 2:33 PM
Activation Problems
If you are unable to successfully activate your copy of Blocs or need more help activating it, please refer to this knowledge base post that covers the basic...
Wed, 3 Jan, 2018 at 2:36 PM
Access License Number
If you need to get access to your license number to manage activations or just for reference, please refer to this knowledge base post which covers the basi...
Wed, 3 Jan, 2018 at 2:38 PM
Blocs End User License Agreement
END USER LICENSE AGREEMENT FOR THE BLOCS APPLICATION This licence agreement (Licence) is a legal agreement between you (Licensee or you) and the Cazoobi...
Thu, 4 Jan, 2018 at 4:23 PM